Libosmium: osmium::handler::Dump Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
osmium::handler::Dump Class Reference

`#include <dump.hpp>`

Inheritance diagram for osmium::handler::Dump:
[legend]
Collaboration diagram for osmium::handler::Dump:
[legend]

## Public Member Functions
| Dump (std::ostream &out, bool with_size=true, std::string prefix="")
void | tag_list (const osmium::TagList &tags)
void | way_node_list (const osmium::WayNodeList &wnl)
void | relation_member_list (const osmium::RelationMemberList &rml)
void | outer_ring (const osmium::OuterRing &ring)
void | inner_ring (const osmium::InnerRing &ring)
void | node (const osmium::Node &node)
void | way (const osmium::Way &way)
void | relation (const osmium::Relation &relation)
void | area (const osmium::Area &area)
void | changeset (const osmium::Changeset &changeset)
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const noexcept
void | node (const osmium::Node &) const noexcept
void | way (const osmium::Way &) const noexcept
void | relation (const osmium::Relation &) const noexcept
void | area (const osmium::Area &) const noexcept
void | changeset (const osmium::Changeset &) const noexcept
void | tag_list (const osmium::TagList &) const noexcept
void | way_node_list (const osmium::WayNodeList &) const noexcept
void | relation_member_list (const osmium::RelationMemberList &) const noexcept
void | outer_ring (const osmium::OuterRing &) const noexcept
void | inner_ring (const osmium::InnerRing &) const noexcept
void | changeset_discussion (const osmium::ChangesetDiscussion &) const noexcept
void | flush () const noexcept

## Private Member Functions
void | print_title (const char *title, const osmium::memory::Item &item)
void | print_meta (const osmium::OSMObject &object)
void | print_location (const osmium::Node &node)

## Private Attributes
std::ostream * | m_out
bool | m_with_size
std::string | m_prefix

## Constructor & Destructor Documentation

## ◆ Dump()

osmium::handler::Dump::Dump | ( | std::ostream & | out,
|  | bool | with_size = true,
|  | std::string | prefix = "" )
| inlineexplicit

## Member Function Documentation

## ◆ area()

void osmium::handler::Dump::area | ( | const osmium::Area & | area | ) |
| inline

## ◆ changeset()

void osmium::handler::Dump::changeset | ( | const osmium::Changeset & | changeset | ) |
| inline

## ◆ inner_ring()

void osmium::handler::Dump::inner_ring | ( | const osmium::InnerRing & | ring | ) |
| inline

## ◆ node()

void osmium::handler::Dump::node | ( | const osmium::Node & | node | ) |
| inline

## ◆ outer_ring()

void osmium::handler::Dump::outer_ring | ( | const osmium::OuterRing & | ring | ) |
| inline

## ◆ print_location()

void osmium::handler::Dump::print_location | ( | const osmium::Node & | node | ) |
| inlineprivate

## ◆ print_meta()

void osmium::handler::Dump::print_meta | ( | const osmium::OSMObject & | object | ) |
| inlineprivate

## ◆ print_title()

void osmium::handler::Dump::print_title | ( | const char * | title,
|  | const osmium::memory::Item & | item )
| inlineprivate

## ◆ relation()

void osmium::handler::Dump::relation | ( | const osmium::Relation & | relation | ) |
| inline

## ◆ relation_member_list()

void osmium::handler::Dump::relation_member_list | ( | const osmium::RelationMemberList & | rml | ) |
| inline

## ◆ tag_list()

void osmium::handler::Dump::tag_list | ( | const osmium::TagList & | tags | ) |
| inline

## ◆ way()

void osmium::handler::Dump::way | ( | const osmium::Way & | way | ) |
| inline

## ◆ way_node_list()

void osmium::handler::Dump::way_node_list | ( | const osmium::WayNodeList & | wnl | ) |
| inline

## Member Data Documentation

## ◆ m_out

std::ostream* osmium::handler::Dump::m_out
| private

## ◆ m_prefix

std::string osmium::handler::Dump::m_prefix
| private

## ◆ m_with_size

bool osmium::handler::Dump::m_with_size
| private

The documentation for this class was generated from the following file:

- include/osmium/handler/dump.hpp